ros-rolling-rmw (7.1.0-1jammy) jammy; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rmw (#353 <https://github.com/ros2/rmw/issues/353>)
  * Runtime Interface Reflection: rmw (#340 <https://github.com/ros2/rmw/issues/340>)
  * [rmw] Improve handling of dynamic discovery (#338 <https://github.com/ros2/rmw/issues/338>)
  * rmw_send_reqponse returns RMW_RET_TIMEOUT. (#350 <https://github.com/ros2/rmw/issues/350>)
  * Add a note about asynchronicity of discovery. (#352 <https://github.com/ros2/rmw/issues/352>)
  * Add matched event support (#331 <https://github.com/ros2/rmw/issues/331>)
  * Add type hash to rmw_topic_endpoint_info_t (rep2011) (#348 <https://github.com/ros2/rmw/issues/348>)
  * Add in inconsistent topic defines and data structures. (#339 <https://github.com/ros2/rmw/issues/339>)
  * Update documented expectations for GIDs (#335 <https://github.com/ros2/rmw/issues/335>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Geoffrey Biggs, Jacob Perron, Tomoya Fujita, William Woodall, methylDragon

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rmw (7.0.1-1jammy) jammy; urgency=high

  * Fix rmw->rwm typo (#347 <https://github.com/ros2/rmw/issues/347>)
  * Contributors: Emerson Knapp

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-rolling-rmw (7.0.0-1jammy) jammy; urgency=high

  * Add rmw count clients, services (#334 <https://github.com/ros2/rmw/issues/334>)
  * make writer_guid uint8_t[] instead of int8_t for consistency with rmw_gid_t (#329 <https://github.com/ros2/rmw/issues/329>)
  * Update rmw to C++17. (#346 <https://github.com/ros2/rmw/issues/346>)
  * Reduce GID storage to 16 bytes. (#345 <https://github.com/ros2/rmw/issues/345>)
  * Move the RMW_CHECK_TYPE_IDENTIFIERS_MATCH macro to a C header. (#343 <https://github.com/ros2/rmw/issues/343>)
  * [rolling] Update maintainers - 2022-11-07 (#337 <https://github.com/ros2/rmw/issues/337>)
  * Contributors: Audrow Nash, Brian, Chris Lalancette, Minju, Lee

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-rmw (6.4.0-1jammy) jammy; urgency=high

  * Remove unused test_loaned_message_sequence.cpp (#336 <https://github.com/ros2/rmw/issues/336>)
  * callback can be NULL to clear in Listener APIs. (#332 <https://github.com/ros2/rmw/issues/332>)
  * Add rmw_get_gid_for_client method (#327 <https://github.com/ros2/rmw/issues/327>)
  * Contributors: Brian, Nikolai Morin, Tomoya Fujita

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rmw (6.3.1-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rmw (6.3.0-1jammy) jammy; urgency=high

  * Add 'best available' QoS policies (#320 <https://github.com/ros2/rmw/issues/320>)
    The best available policy should select the highest level of service for the QoS setting while matching with the majority of endpoints.
    For example, in the case of a DDS middleware subscription, this means:
    * Prefer reliable reliability if all existing publishers on the same topic are reliable, otherwise use best effort.
    * Prefer transient local durability if all existing publishers on the same topic are transient local, otherwise use volatile.
    * Prefer manual by topic liveliness if all existing publishers on the same topic are manual by topic, otherwise use automatic.
    * Use a deadline that is equal to the largest deadline of existing publishers on the same topic.
    * Use a liveliness lease duration that is equal to the largest lease duration of existing publishers on the same topic.
  * Contributors: Jacob Perron

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 03 May 2022 00:00:00 -0000

ros-rolling-rmw (6.2.0-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-rmw (6.1.0-1jammy) jammy; urgency=high

  * Add content filtered topics support. (#302 <https://github.com/ros2/rmw/issues/302>)
  * Add sequence numbers to rmw_message_info_t. (#318 <https://github.com/ros2/rmw/issues/318>)
  * Add rmw_feature_supported(). (#318 <https://github.com/ros2/rmw/issues/318>)
  * Contributors: Chen Lihui, Ivan Santiago Paunovic

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 25 Mar 2022 00:00:00 -0000

ros-rolling-rmw (6.0.0-1jammy) jammy; urgency=high

  * Add EventsExecutor (#286 <https://github.com/ros2/rmw/issues/286>)
  * Document that rmw_wait() SHOULD use a monotonic clock (#316 <https://github.com/ros2/rmw/issues/316>)
  * Install headers to include/${PROJECT_NAME} (#317 <https://github.com/ros2/rmw/issues/317>)
  * Update rmw_server_is_available() API documentation. (#277 <https://github.com/ros2/rmw/issues/277>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo, Shane Loretz, iRobot ROS

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rmw (5.1.0-1jammy) jammy; urgency=high

  * Add client/service QoS getters. (#314 <https://github.com/ros2/rmw/issues/314>)
  * Contributors: mauropasse

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 19 Nov 2021 00:00:00 -0000

ros-rolling-rmw (5.0.0-1jammy) jammy; urgency=high

  * Fix up documentation build for rmw when using rosdoc2 (#313 <https://github.com/ros2/rmw/issues/313>)
  * Fix up errors in doxygen documentation (#311 <https://github.com/ros2/rmw/issues/311>)
  * Fix copy-paste error in API doc for rmw_get_gid_for_publisher (#310 <https://github.com/ros2/rmw/issues/310>)
  * Contributors: Chris Lalancette, Christophe Bedard, Michel Hidalgo

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 15 Sep 2021 00:00:00 -0000

ros-rolling-rmw (4.0.0-1jammy) jammy; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#296 <https://github.com/ros2/rmw/issues/296>)
  * Contributors: Barry Xu

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 02 Jun 2021 00:00:00 -0000

ros-rolling-rmw (3.3.1-1jammy) jammy; urgency=high

  * Document which QoS policies are correctly read by rmw_get_publishers/subscriptions_info_by_topic (#308 <https://github.com/ros2/rmw/issues/308>)
  * Contributors: Ivan Santiago Paunovic

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-rolling-rmw (3.3.0-1jammy) jammy; urgency=high

  * Unique network flows (#294 <https://github.com/ros2/rmw/issues/294>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#307 <https://github.com/ros2/rmw/issues/307>)
  * Contributors: Ananya Muddukrishna, shonigmann

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-rmw (3.2.0-1jammy) jammy; urgency=high

  * Introduce RMW_DURATION_INFINITE constant and API return value promise (#301 <https://github.com/ros2/rmw/issues/301>)
  * Contributors: Emerson Knapp

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 11 Mar 2021 00:00:00 -0000

ros-rolling-rmw (3.1.0-1jammy) jammy; urgency=high

  * Add declaration for function to check QoS profile compatibility (#299 <https://github.com/ros2/rmw/issues/299>)
  * Update the rmw_take_sequence documentation. (#297 <https://github.com/ros2/rmw/issues/297>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 25 Feb 2021 00:00:00 -0000

ros-rolling-rmw (3.0.0-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-rmw (2.2.1-1jammy) jammy; urgency=high

  * Update rmw QD to QL 1 (#289 <https://github.com/ros2/rmw/issues/289>)
  * Contributors: Stephen Brawner

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-rolling-rmw (2.2.0-1jammy) jammy; urgency=high

  * Extend rmw_qos_policy_kind_t, add functions to convert it to/from a string (#285 <https://github.com/ros2/rmw/issues/285>)
  * Add functions to convert between qos policy values and strings (#284 <https://github.com/ros2/rmw/issues/284>)
  * Update maintainers (#282 <https://github.com/ros2/rmw/issues/282>)
  * Update service request/response API documentation (#279 <https://github.com/ros2/rmw/issues/279>)
  * Update rmw_get_serialized_message_size docblock (#281 <https://github.com/ros2/rmw/issues/281>)
  * Update rmw_service_server_is_available doc (#280 <https://github.com/ros2/rmw/issues/280>)
  * Update wait and wait sets' API documentation (#275 <https://github.com/ros2/rmw/issues/275>)
  * Update graph API documentation (#272 <https://github.com/ros2/rmw/issues/272>)
  * Update service server/client creation/destruction API documentation. (#276 <https://github.com/ros2/rmw/issues/276>)
  * Update rmw_*_*_allocation return values (#278 <https://github.com/ros2/rmw/issues/278>)
  * Update gid API documentation (#274 <https://github.com/ros2/rmw/issues/274>)
  * Do not link against pthread on Android (#267 <https://github.com/ros2/rmw/issues/267>)
  * Update taking API documentation (#271 <https://github.com/ros2/rmw/issues/271>)
  * Update publishing API documentation (#270 <https://github.com/ros2/rmw/issues/270>)
  * Add fault injection macros for use in other packages (#254 <https://github.com/ros2/rmw/issues/254>)
  * Add bad_alloc return to topic_endpoint_info functions (#269 <https://github.com/ros2/rmw/issues/269>)
  * Update publisher/subscription matched count API documentation (#262 <https://github.com/ros2/rmw/issues/262>)
  * Update publisher/subscription QoS query API documentation (#263 <https://github.com/ros2/rmw/issues/263>)
  * Extend rmw_serialized_message_t tests (#261 <https://github.com/ros2/rmw/issues/261>)
  * Update serialization/deserialization API documentation (#258 <https://github.com/ros2/rmw/issues/258>)
  * Update subscription API documentation (#256 <https://github.com/ros2/rmw/issues/256>)
  * Update publisher creation/destruction API documentation (#252 <https://github.com/ros2/rmw/issues/252>)
  * Contributors: Alejandro Hernández Cordero, Ivan Santiago Paunovic, Jacob Perron, Michel Hidalgo, brawner

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 04 Nov 2020 00:00:00 -0000

ros-rolling-rmw (2.1.0-1jammy) jammy; urgency=high

  * Add actual domain id to rmw_context_t (#251 <https://github.com/ros2/rmw/issues/251>)
  * Update node creation/destruction API documentation. (#249 <https://github.com/ros2/rmw/issues/249>)
  * Correct parameter names to match documentation (#250 <https://github.com/ros2/rmw/issues/250>)
  * Contributors: Geoffrey Biggs, Ivan Santiago Paunovic, Michel Hidalgo

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 22 Jul 2020 00:00:00 -0000

ros-rolling-rmw (2.0.0-1jammy) jammy; urgency=high

  * Remove domain_id and localhost_only from node API (#248 <https://github.com/ros2/rmw/issues/248>)
  * Require enclave upon rmw_init() call. (#247 <https://github.com/ros2/rmw/issues/247>)
  * Update init/shutdown API documentation. (#243 <https://github.com/ros2/rmw/issues/243>)
  * Update init options API documentation. (#244 <https://github.com/ros2/rmw/issues/244>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 08 Jul 2020 00:00:00 -0000

ros-rolling-rmw (1.1.0-1jammy) jammy; urgency=high

  * Add message lost subscription event (#232 <https://github.com/ros2/rmw/issues/232>)
  * Move statuses definitions to rmw/events_statuses/ (#232 <https://github.com/ros2/rmw/issues/232>)
  * Increase rmw testing coverage above 95% (#238 <https://github.com/ros2/rmw/issues/238>)
  * Handle zero-length names_and_types properly (#239 <https://github.com/ros2/rmw/issues/239>)
  * Add missing RMW_PUBLIC to security_options_set_root_path (#236 <https://github.com/ros2/rmw/issues/236>)
  * Update Quality Declaration for QL 2 (#233 <https://github.com/ros2/rmw/issues/233>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#230 <https://github.com/ros2/rmw/issues/230>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic, Karsten Knese, Scott K Logan, Stephen Brawner, brawner

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 18 Jun 2020 00:00:00 -0000

ros-rolling-rmw (1.0.1-1jammy) jammy; urgency=high

  * Fix cppcheck error (#229 <https://github.com/ros2/rmw/issues/229>)
  * Update Quality Declaration to reflect 1.0 (#228 <https://github.com/ros2/rmw/issues/228>)
  * Contributors: Michel Hidalgo, Stephen Brawner

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 19 May 2020 00:00:00 -0000

ros-rolling-rmw (1.0.0-1jammy) jammy; urgency=high

  * Remove MANUAL_BY_NODE liveliness API (#227 <https://github.com/ros2/rmw/issues/227>)
  * Improved Quality declarations (#225 <https://github.com/ros2/rmw/issues/225>)
  * Quality declarations for rmw and rmw_implementation_cmake (#205 <https://github.com/ros2/rmw/issues/205>)
  * Add tests for untested public functionality (#203 <https://github.com/ros2/rmw/issues/203>)
  * Contributors: Alejandro Hernández Cordero, Ivan Santiago Paunovic, Stephen Brawner

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-rolling-rmw (0.9.0-1jammy) jammy; urgency=high

  * Delete superfluous empty line (#222 <https://github.com/ros2/rmw/issues/222>)
  * Fix linter warning (#224 <https://github.com/ros2/rmw/issues/224>)
  * Rename rosidl_message_bounds_t (#223 <https://github.com/ros2/rmw/issues/223>)
  * Adding doxygen documentation and READMEs to packages (#204 <https://github.com/ros2/rmw/issues/204>)
  * Service timestamps (#217 <https://github.com/ros2/rmw/issues/217>)
  * Add API for taking a sequence of messages (#212 <https://github.com/ros2/rmw/issues/212>)
  * Add timestamps to message info (#214 <https://github.com/ros2/rmw/issues/214>)
  * Add build dep on rosidl_runtime_c to work with CMake < 3.13 (#221 <https://github.com/ros2/rmw/issues/221>)
  * Fix missing target dependency on rosidl_runtime_c (#220 <https://github.com/ros2/rmw/issues/220>)
  * Export targets in addition to include directories / libraries (#218 <https://github.com/ros2/rmw/issues/218>)
  * Document destroy_node may assume correct destruction order (#216 <https://github.com/ros2/rmw/issues/216>)
  * security-context -> enclave (#211 <https://github.com/ros2/rmw/issues/211>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#213 <https://github.com/ros2/rmw/issues/213>)
  * Added the right dependency rosidl runtime c instead of rosidl generator c (#198 <https://github.com/ros2/rmw/issues/198>)
  * Use one participant per context API changes (#189 <https://github.com/ros2/rmw/issues/189>)
  * Add comment about RMW_RET_UNSUPPORTED for loaned_message. (#208 <https://github.com/ros2/rmw/issues/208>)
  * Support for ON_REQUESTED_INCOMPATIBLE_QOS and ON_OFFERED_INCOMPATIBLE_QOS events (#193 <https://github.com/ros2/rmw/issues/193>)
  * Move rmw_*_event_init() functions to rmw_implementation (#202 <https://github.com/ros2/rmw/issues/202>)
  * Rename rmw_topic_endpoint_info_array count to size, and initialize it (#196 <https://github.com/ros2/rmw/issues/196>)
  * Code style only: wrap after open parenthesis if not in one line (#195 <https://github.com/ros2/rmw/issues/195>)
  * Update development version after merging #186 <https://github.com/ros2/rmw/issues/186> (#194 <https://github.com/ros2/rmw/issues/194>)
  * Adding required structs and methods to get a list  of publishers or subscribers with their respective qos (#186 <https://github.com/ros2/rmw/issues/186>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Ingo Lütkebohle, Ivan Santiago Paunovic, Jaison Titus, Karsten Knese, Miaofei Mei, Michael Carroll, Mikael Arguedas, Shane Loretz, William Woodall, Stephen Brawner, Tomoya Fujita

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-rolling-rmw (0.8.1-1jammy) jammy; urgency=high

  * Use return_loaned_message_from (#192 <https://github.com/ros2/rmw/issues/192>)
  * Add function to enable localhost communication only from env var (#190 <https://github.com/ros2/rmw/issues/190>)
  * Zero copy api (#185 <https://github.com/ros2/rmw/issues/185>)
  * Add call to bump dev version to the upcoming version 0.8.1 (#191 <https://github.com/ros2/rmw/issues/191>)
  * Add pub/sub option structures to support rmw specific payload feature (#187 <https://github.com/ros2/rmw/issues/187>)
  * Contributors: Brian Marchi, Dirk Thomas, Karsten Knese, William Woodall

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-rmw (0.8.0-1jammy) jammy; urgency=high

  * Added specific return type for non existent node (#182 <https://github.com/ros2/rmw/issues/182>)
  * Added function for getting clients by node (#179 <https://github.com/ros2/rmw/issues/179>)
  * Added get_actual_qos() feature to subscriptions (#177 <https://github.com/ros2/rmw/issues/177>)
  * Added ``RMW_QOS_POLICY_LIVELINESS_UNKNOWN`` enum (#175 <https://github.com/ros2/rmw/issues/175>)
  * Contributors: Jacob Perron, M. M, ivanpauno

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 24 Sep 2019 00:00:00 -0000

ros-rolling-rmw (0.7.1-1jammy) jammy; urgency=high

  * Implement QoS: liveliness, deadline, lifespan (#171 <https://github.com/ros2/rmw/issues/171>)
  * Rmw preallocate (#160 <https://github.com/ros2/rmw/issues/160>)
  * Add new QoS policy data types to rmw (#173 <https://github.com/ros2/rmw/issues/173>)
  * Contributors: M. M, Michael Carroll, Ross Desmond

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-rolling-rmw (0.7.0-1jammy) jammy; urgency=high

  * Add function to get publisher actual qos settings (#169 <https://github.com/ros2/rmw/issues/169>)
  * fix checking boolean variable which might contain a string (#165 <https://github.com/ros2/rmw/issues/165>)
  * change parameter events to use KEEP_LAST (#162 <https://github.com/ros2/rmw/issues/162>)
  * Fix typo error (#164 <https://github.com/ros2/rmw/issues/164>)
  * pass context to wait set, and provide fini function for context (#163 <https://github.com/ros2/rmw/issues/163>)
  * minor notes explaining rmw_qos_profile_t (#156 <https://github.com/ros2/rmw/issues/156>)
  * Contributors: Dirk Thomas, Lalit Begani, Mike Lautman, William Woodall, ivanpauno

 -- Brandon Ong <brandon@openrobotics.org>  Sat, 13 Apr 2019 00:00:00 -0000

ros-rolling-rmw (0.6.1-1jammy) jammy; urgency=high

  * Add node graph functions (#158 <https://github.com/ros2/rmw/issues/158>)
  * refactor init to allow options to be passed and to not be global (#154 <https://github.com/ros2/rmw/issues/154>)
  * Methods to retrieve matched counts on publisher and subscriber (#155 <https://github.com/ros2/rmw/issues/155>)
  * use uint8_t instead of char for serialized message (#161 <https://github.com/ros2/rmw/issues/161>)
  * Contributors: Karsten Knese, Michael Carroll, Ross Desmond, William Woodall

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-rolling-rmw (0.6.0-1jammy) jammy; urgency=high

  * use new error handling API (#153 <https://github.com/ros2/rmw/issues/153>)
  * Add semicolons to RCLCPP and RCUTILS macros. (#150 <https://github.com/ros2/rmw/issues/150>)
  * Include node namespaces in get_node_names() (#148 <https://github.com/ros2/rmw/issues/148>)
  * add missing doc for parameter (#149 <https://github.com/ros2/rmw/issues/149>)
  * rcutils_serialized_message -> rcutils_char_array (#146 <https://github.com/ros2/rmw/issues/146>)
  * rmw serialized to rcutils serialized (#145 <https://github.com/ros2/rmw/issues/145>)
  * rcutil -> rcutils (#147 <https://github.com/ros2/rmw/issues/147>)
  * get serialization format (#143 <https://github.com/ros2/rmw/issues/143>)
  * Contributors: Chris Lalancette, Karsten Knese, Michael Carroll, Mikael Arguedas, William Woodall

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 16 Nov 2018 00:00:00 -0000

ros-rolling-rmw (0.5.0-1jammy) jammy; urgency=high

  * use rcutils allocator in allocators.c to avoid direct use of malloc/free (#140 <https://github.com/ros2/rmw/issues/140>)
  * check the return value of rcutils_snprintf (#138 <https://github.com/ros2/rmw/issues/138>)
  * _raw function (#125 <https://github.com/ros2/rmw/issues/125>)
  * Merge pull request #137 <https://github.com/ros2/rmw/issues/137> from ros2/misra_fixup
  * Change #if to #ifdef.
  * add function to parse key-value user_data (#132 <https://github.com/ros2/rmw/issues/132>)
  * Add validation functions accepting string length (#135 <https://github.com/ros2/rmw/issues/135>)
  * Clarify that NULL blocks forever in rmw_wait (#134 <https://github.com/ros2/rmw/issues/134>)
  * Enable setting log levels in DDS implementation (#124 <https://github.com/ros2/rmw/issues/124>)
  * Optimize namespace node and topic validation (#130 <https://github.com/ros2/rmw/issues/130>)
  * Contributors: Dirk Thomas, Ethan Gao, Karsten Knese, Michael Carroll, Shane Loretz, Sriram Raghunathan, William Woodall

 -- Brandon Ong <brandon@openrobotics.org>  Sat, 23 Jun 2018 00:00:00 -0000


